Ringbuffer.c File Reference

Ringbuffer. More...

`#include "Ringbuffer.h"`
Include dependency graph for Ringbuffer.c:

## Functions

void | vRingbufferInit (psRingbuffer_t const _self)
| init Ringbuffer More...
int32_t | s32RingbufferSet (psRingbuffer_t const _self, int32_t const *const pcs32Data)
| Write data in ringbuffer. More...
int32_t | s32RingbufferGet (psRingbuffer_t const _self, int32_t *constpcs32Data)
| Read data in ringbuffer. More...

## Detailed Description

Ringbuffer.

Author
  Hendrik Schutter

Version
  V1.0

Date
  23.10.2020

This file contains the ring buffer data structure.

## Function Documentation

## s32RingbufferGet()

int32_t s32RingbufferGet | ( | psRingbuffer_t const | _self,
|  | int32_t * | constpcs32Data
| ) |  |

Read data in ringbuffer.

Parameters

  void |

Returns
  int32_t state

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function:

## s32RingbufferSet()

int32_t s32RingbufferSet | ( | psRingbuffer_t const | _self,
|  | int32_t const *const | pcs32Data
| ) |  |

Write data in ringbuffer.

Parameters

  void |

Returns
  int32_t state

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function:

## vRingbufferInit()

void vRingbufferInit | ( | psRingbuffer_t const | _self | ) |

init Ringbuffer

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function: